import 'package:tour_travel_agr/main.dart';

const String _reimburseDate = 'rDate';
const String _historyDate = 'hDate';
const String _versionApp = 'aV';
const String _sessionId = 'sid';

String getReimburseDate() {
  return prefs.getString(_reimburseDate) ?? '';
}

Future<void> setReimburseDate(String value) async {
  prefs.setString(_reimburseDate, value);
}

String getHistoryDate() {
  return prefs.getString(_historyDate) ?? '';
}

Future<void> setHistoryDate(String value) async {
  prefs.setString(_historyDate, value);
}

String getAppVersion() {
  return prefs.getString(_versionApp) ?? '';
}

Future<void> setAppVersion(String value) async {
  prefs.setString(_versionApp, value);
}

String getSessionId() {
  return prefs.getString(_sessionId) ?? '';
}

Future<void> setSessionId(String value) async {
  prefs.setString(_sessionId, value);
}

Future<void> removeSessionId() async {
  prefs.remove(_sessionId);
}
